/* pixmap.h for Eterm.
 * 17 Feb 1998 vendu
 */

#ifndef _PIXMAP_H
# define _PIXMAP_H

# ifdef USE_IMLIB
#  include "eterm_imlib.h"
# endif

typedef struct {
    short w, h, x, y;
    Pixmap pixmap;
} pixmap_t;

# ifdef USE_IMLIB
typedef struct {
    Image *im;
    int last_w,last_h;
} imlib_t;

#  define background_is_pixmap() (imlib_id != NULL)
#  define background_is_image() (imlib_bg.im != NULL)

# else

#  define background_is_pixmap() ((void)0)
#  define background_is_image() ((void)0)

# endif

# ifdef USE_IMLIB
imlib_t imlib_bg;
# endif
pixmap_t bgPixmap;
# ifdef PIXMAP_SCROLLBAR
pixmap_t upPixmap;
pixmap_t dnPixmap;
pixmap_t sbPixmap;
pixmap_t saPixmap;
# endif

void resize_pixmap(Window win, imlib_t image, pixmap_t pmap,
		   int which, int enable_offset);
# ifdef POSIX_THREADS
void init_bg_pixmap_thread(void *file);
# endif
void set_bgPixmap (const char * /* file */);
int scale_pixmap (const char * geom, pixmap_t pmap);



#endif /* _PIXMAP_H */
