/* threads.h for Eterm
 * 25 Feb 1998, vendu
 */

#ifndef _THREADS_H
# define _THREADS_H 

#include <signal.h>
#include "../config.h"

#if defined(_LIBC_REENTRANT) && defined(linux)
# define LINUXTHREADS
#endif

#ifdef PIXMAP_SUPPORT
# include "pixmap.h"
# ifdef POSIX_THREADS
#  ifdef LINUXTHREADS
#   include "linuxthreads.h"
#  else
#   include <pthread.h>
#  endif
# endif
#endif

void prepare(void *dummy);
void parent(void *dummy);
void child(void *dummy);

inline void main_loop (void);
void resize_bg_thread(void *);

/* Signal handlers - not used. */
RETSIGTYPE Thread_wait(int);
RETSIGTYPE Thread_finish(int);
RETSIGTYPE Thread_exit(int sig);
RETSIGTYPE Enter_main_loop(int);

#endif /* _THREADS_H */
